using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class MusicCell : BasePanel
{
    public override void OnHide(object data = null)
    {
        
    }

    public override void OnInit(object data = null)
    {
        MusicPanel panel = UIMgr.Getinstance().GetPanel<MusicPanel>();
        GetControl<Toggle>("togPlay").group = panel.GetControl<ToggleGroup>("Content");

        GetControl<Toggle>("togPlay").onValueChanged.AddListener( value => 
        {
            GetControl<Image>("imgTogBK").enabled = value;
            GetControl<Image>("imgTogCheckMark").enabled = value;

        });
    }

    public override void OnRefresh(object data = null)
    {
        throw new System.NotImplementedException();
    }

}
